Scriptel ScripTouch ProScript C Library This documentation contains information about the ScripTouch ProScript C Library.

Data Fields
scriptel_hid_capabilities Struct Reference

This structure describes the capabilities report of a ScripTouch device. More...

`#include <scriptel-hid-reports.h>`

## Data Fields
unsigned char | report_id
| Report ID, if successful should be set to SCRIPTEL_FEATURE_CAPABILITIES.
unsigned short | supported_reports
| A bit-mask of values contained in scriptel_supported_reports. More...
unsigned char | coordinate_modes
| Bitmask indicating which coordinate output features are available.
unsigned char | reserved1
| Reserved for future use.
scriptel_display_type | display_id
| The type of display the unit is equipped with.
unsigned char | brightness_levels
| The number of back-light brightness levels the unit supports.
unsigned char | contrast_levels
| The number of contrast levels the unit supports.
unsigned char | color_depth
| The color depth in bits of the unit's screen (if equipped).
unsigned short | display_width
| The width of the display in pixels.
unsigned short | display_height
| The height of the display in pixels.
unsigned short | digitizer_width
| The width of the physical digitizer surface in millimeters.
unsigned short | digitizer_height
| The width of the physical digitizer surface in millimeters.
unsigned short | coordinate_xmin
| The minimum coordinate that can be returned in the horizontal direction.
unsigned short | coordinate_xmax
| The maximum coordinate that can be returned in the horizontal direction.
unsigned short | coordinate_ymin
| The minimum coordinate that can be returned in the vertical direction.
unsigned short | coordinate_ymax
| The maximum coordinate that can be returned in the vertical direction.
unsigned short | calibration_xmin
| Reserved for future use.
unsigned short | calibration_xmax
| Reserved for future use.
unsigned short | calibration_ymin
| Reserved for future use.
unsigned short | calibration_ymax
| Reserved for future use.
unsigned int | reserved_4
| Reserved for future use.
unsigned int | reserved_5
| Reserved for future use.
scriptel_card_reader | mag_reader_id
| The type of card reader the unit is equipped with.
unsigned char | reserved_6
| Reserved for future use.
unsigned short | reserved_7
| Reserved for future use.
unsigned char | supports_screens_resources
| Defines additional features this device can use. More...
unsigned char | reserved_9
| Reserved for future use.
unsigned int | reserved_10
| Reserved for future use.
unsigned int | reserved_11
| Reserved for future use.
unsigned int | reserved_12
| Reserved for future use.
unsigned int | reserved_13
| Reserved for future use.
unsigned int | reserved_14
| Reserved for future use.

## Detailed Description

This structure describes the capabilities report of a ScripTouch device.

This report details what capabilities the connected device has.

## Field Documentation

## ◆ supported_reports

unsigned short supported_reports

A bit-mask of values contained in scriptel_supported_reports.

Determines what types of input reports can be returned by this device.

## ◆ supports_screens_resources

unsigned char supports_screens_resources

Defines additional features this device can use.

'1' allows use of new Region, Screen, and Resource commands.

The documentation for this struct was generated from the following file:

- src/scriptel-hid-reports.h